const { defineConfig } = require('@vue/cli-service')

const path = require('path');

function resolve(dir) {
  return path.join(__dirname, dir)
}

module.exports = defineConfig({
  transpileDependencies: true,
  publicPath:"./",
  pages: {
    index: {
      entry: 'src/main.ts',
      template: 'public/index.html',
      fileName: 'index.html'
    }
  },
  chainWebpack: config => {

      const urlRule = config.module.rule("images");
      urlRule.test(/\.(jpg|png|gif)/);
      urlRule.use("url-loader").loader("url-loader").options({
          limit: 30000000,
          name:"static/[name].[ext]"
      })
    //
    //
    // const fileRule = config.module.rule('file-loader')
    // fileRule.test(/\.png$/);
    // fileRule.use('file-loader').loader('file-loader')



  }

})
